InspIRCd(1)

NAME
InspIRCd - the stable, high-performance and modular Internet Relay Chat Daemon

SYNOPSIS
inspircd [--config <file>] [--debug] [--nofork] [--nolog] [--nopid] [--runasroot] [--version]

OPTIONS

--config <file>
    Sets the path to the main configuration file. Defaults to @CONFIG_DIR@/inspircd.conf.

--debug
    Log verbosely to the standard output stream.

--nofork
    Don't fork into the background after starting up.

--nolog
    Don't write to log files.

--nopid
    Don't write to the PID file.

--runasroot
    Allow the server to start as root (not recommended).

--version
    Displays the InspIRCd version and exits.

EXIT STATUS

0 (EXIT_STATUS_NOERROR)
    The server exited cleanly.

1 (EXIT_STATUS_DIE)
    The server exited because the DIE command was executed.

2 (EXIT_STATUS_CONFIG)
    The server exited because of a configuration file error.

3 (EXIT_STATUS_LOG)
    The server exited because of a log file error.

4 (EXIT_STATUS_FORK)
    The server exited because it was unable to fork into the background.

5 (EXIT_STATUS_ARGV)
    The server exited because an invalid argument was passed to it on the command line.

6 (EXIT_STATUS_PID)
    The server exited because it was unable to write to the PID file.

7 (EXIT_STATUS_SOCKETENGINE)
    The server exited because it was unable to initialize the @SOCKETENGINE@ socket engine.

8 (EXIT_STATUS_ROOT)
    The server exited because the user tried to start as root without --runasroot.

9 (EXIT_STATUS_MODULE)
    The server exited because it was unable to load a module on first run.

10 (EXIT_STATUS_SIGTERM)
    The server exited because it received SIGTERM.

SUPPORT
IRC support for InspIRCd can be found at ircs://irc.inspircd.org/inspircd. Bug reports and feature requests can be filed at https://github.com/inspircd/inspircd/issues.